__PROGNAMEGS(3)

NAME
__prognameGS - get the program name

SYNOPSIS
#include <gno/gno.h>

char *__progname;
char *__prognameGS (void);

DESCRIPTION
__progname points to a NULL-terminated string which is the base name of the executing program. It is initially the string '(unknown)', but is set to the proper value upon the first call to __prognameGS.

__prognameGS sets the string __progname to its proper value by using the result of the GS/OS GetNameGS system call. If for some reason that system call fails, the value of __progname is left unchanged. On success, the value is cached, so subsequent calls to __prognameGS merely reference __progname.

RETURN VALUE
__prognameGS always returns the value of __progname.

SEE ALSO
err(3),
The GS/OS Reference Manual.